Updating linux-image-3.2.0-48-generic

Projet:Trisquel
Version:6.0
Composant:Kernel/drivers
Catégorie:Rapporter un bogue
Priorité:normal
Attribué:Non assigné
Statut:needs more info
Description

When using Synaptic Package Manager or Update Manager on a clean install, seleting all the available updates, the linux-image will be removed for update, but will not update. This causes the system to not operate correctly upon restart. Many other items also are removed for update but do not update because they are dependent on the linux-image.

Here's the log from using Update Manager:
Setting up linux-image-3.2.0-48-generic (3.2.0-48.74+6.0trisquel1) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
The link /initrd.img is a dangling linkto /boot/initrd.img-3.2.0-38-generic
The link /vmlinuz is a dangling linkto /boot/vmlinuz-3.2.0-38-generic
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 3.2.0-48-generic /boot/vmlinuz-3.2.0-48-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.2.0-48-generic /boot/vmlinuz-3.2.0-48-generic
update-initramfs: Generating /boot/initrd.img-3.2.0-48-generic
cryptsetup: WARNING: failed to detect canonical device of overlayfs
cryptsetup: WARNING: could not determine root device from /etc/fstab
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.2.0-48-generic /boot/vmlinuz-3.2.0-48-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.2.0-48-generic /boot/vmlinuz-3.2.0-48-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.2.0-48-generic /boot/vmlinuz-3.2.0-48-generic
/usr/sbin/grub-probe: error: cannot find a device for / (is /dev mounted?).
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.2.0-48-generic.postinst line 1010.
dpkg: error processing linux-image-3.2.0-48-generic (--configure):
subprocess installed post-installation script returned error exit status 2

Here's the log for trying to update something that has the linux-image listed as one of the dependencies:
dpkg: dependency problems prevent configuration of linux-image-generic:
linux-image-generic depends on linux-image-3.2.0-48-generic; however:
Package linux-image-3.2.0-48-generic is not configured yet.
dpkg: error processing linux-image-generic (--configure):
dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.

A full log of the Update Manager can be found in the attachment.

Fichier attachéTaille
Update log.odt20.75 Ko
dim, 06/23/2013 - 10:26

I just updated to linux-image-3.2.0-48-generic without any problem. Just saying.

dim, 06/23/2013 - 19:38

oral would appear to be on 64 bit, what about you David?

dim, 07/14/2013 - 05:19

oralfloss: is this still happening? What is the output of the following command:

$ df -h

?

dim, 07/14/2013 - 05:24
Priorité:critical» normal
Statut:active» needs more info
lun, 07/22/2013 - 16:35

Yes, I'm on AMD 64